[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'eventlog' (#fcl)

# TEventLog.Active

Activate the log mechanism

## Declaration

Source position: eventlog.pp line 94

`published property TEventLog.Active : Boolean read FActive write SetActive;`

## Description

Active determines whether the log mechanism is active: if set to True, the component connects to the system log mechanism, or opens the log file if needed. Any attempt to log a message while the log is not active will try to set this property to True. Disconnecting from the system log or closing the log file is done by setting the Active property to False.

If the connection to the system logger fails, or the log file cannot be opened, then setting this property may result in an exception.

## See also

Log |  | Log a message to the system log.

Documentation generated on: Feb 26 2014